Page MenuHomePhabricator

Create PHP 8.2 CI images and jobs for early testing
Closed, ResolvedPublic

Description

  • Base images
  • Experimental jobs for PHP extensions (e.g. wikidiff2)
  • Voting jobs for PHP extensions
  • Composer images
  • Experimental jobs for composer items (e.g. codesniffer)
  • Voting jobs for composer items
  • Quibble images
  • Experimental jobs for Quibble items (e.g. MediaWiki)
  • Voting jobs for Quibble items

Event Timeline

Change 818239 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] [WIP] dockerfiles: Provide PHP 8.2 CI test images

https://gerrit.wikimedia.org/r/818239

Jdforrester-WMF changed the task status from Open to In Progress.Jul 28 2022, 10:55 PM

Thanks James, you're awesome. Debian Bookworm is currently planning to release with 8.2 in June 2023ish, so this is a priority for MediaWiki-Debian whenever I/we have some free time. Some good news is that our basic smoke tests for page viewing and editing all passed on the latest 8.2 alpha.

Change 818239 merged by jenkins-bot:

[integration/config@master] dockerfiles: Provide PHP 8.2 CI test images

https://gerrit.wikimedia.org/r/818239

Mentioned in SAL (#wikimedia-releng) [2022-11-03T16:53:35Z] <James_F> Docker: Publishing initial PHP 8.2 CI test images for T314093

Change 852962 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] Zuul: Add experimental PHP8.2 jobs for PHP extensions

https://gerrit.wikimedia.org/r/852962

Change 852962 merged by jenkins-bot:

[integration/config@master] Zuul: Add experimental PHP8.2 jobs for PHP extensions

https://gerrit.wikimedia.org/r/852962

Mentioned in SAL (#wikimedia-releng) [2022-11-03T17:15:26Z] <James_F> Zuul: Add experimental PHP 8.2 jobs for PHP extensions for T314093

Change 852970 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] Zuul: Make PHP 8.2 jobs voting for PHP extensions

https://gerrit.wikimedia.org/r/852970

Change 852971 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] dockerfiles: Provide composer-related PHP 8.2 images

https://gerrit.wikimedia.org/r/852971

Change 852970 merged by jenkins-bot:

[integration/config@master] Zuul: Make PHP 8.2 jobs voting for PHP extensions

https://gerrit.wikimedia.org/r/852970

Change 852971 merged by jenkins-bot:

[integration/config@master] dockerfiles: Provide composer-related PHP 8.2 images

https://gerrit.wikimedia.org/r/852971

Change 852978 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Provide composer-related PHP 8.2 jobs

https://gerrit.wikimedia.org/r/852978

Change 852979 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] Zuul: Add experimental PHP 8.2 jobs for PHP libraries

https://gerrit.wikimedia.org/r/852979

Change 852978 merged by jenkins-bot:

[integration/config@master] jjb: Provide composer-related PHP 8.2 jobs

https://gerrit.wikimedia.org/r/852978

Change 852979 merged by jenkins-bot:

[integration/config@master] Zuul: Add experimental PHP 8.2 jobs for PHP libraries

https://gerrit.wikimedia.org/r/852979

Reedy subscribed.

According to https://www.php.net/archive/2022.php#2022-11-10-1

The next release will be the seventh release candidate (RC 7), planned for Nov 24th 2022.

So might want a rebuild of the packages in the next few days (RC7 isn't out as of writing)

Change 860989 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] dockerfiles: [php82] Bump PHP to 8.2.0-rc.7

https://gerrit.wikimedia.org/r/860989

Change 860989 merged by jenkins-bot:

[integration/config@master] dockerfiles: [php82] Bump PHP to 8.2.0-rc.7

https://gerrit.wikimedia.org/r/860989

Mentioned in SAL (#wikimedia-releng) [2022-11-27T21:27:15Z] <James_F> Docker: Publishing new php82 images with rc.7 for T314093

Change 866389 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] [WIP] dockerfiles: [php82] Upgrade PHP to 8.2.0 now GM is out

https://gerrit.wikimedia.org/r/866389

Change 866389 merged by jenkins-bot:

[integration/config@master] dockerfiles: [php82] Upgrade PHP to 8.2.0 now GM is out

https://gerrit.wikimedia.org/r/866389

Mentioned in SAL (#wikimedia-releng) [2022-12-12T14:31:19Z] <James_F> Docker: Publishing PHP 8.2 images now based on 8.2.0 GM for T314093

Change 867658 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Switch PHP 8.2 jobs to images with 8.2.0 GM

https://gerrit.wikimedia.org/r/867658

Change 867659 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] docker: Provide quibble-buster-php82

https://gerrit.wikimedia.org/r/867659

Change 867660 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Add PHP 8.2-based standard Quibble jobs

https://gerrit.wikimedia.org/r/867660

Change 867661 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] docker: Provide mediawiki-phan-php82

https://gerrit.wikimedia.org/r/867661

Change 867662 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Add PHP 8.2-based Quibble phan jobs

https://gerrit.wikimedia.org/r/867662

Change 867663 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] Zuul: Add experimental PHP 8.2 jobs to quibble things

https://gerrit.wikimedia.org/r/867663

Change 867658 merged by jenkins-bot:

[integration/config@master] jjb: Switch PHP 8.2 jobs to images with 8.2.0 GM

https://gerrit.wikimedia.org/r/867658

Change 867659 merged by jenkins-bot:

[integration/config@master] docker: Provide quibble-buster-php82

https://gerrit.wikimedia.org/r/867659

Mentioned in SAL (#wikimedia-releng) [2022-12-13T16:40:56Z] <James_F> Docker: Publishing initial quibble-buster-php82 for T314093

Change 867660 merged by jenkins-bot:

[integration/config@master] jjb: Add PHP 8.2-based standard Quibble jobs

https://gerrit.wikimedia.org/r/867660

Change 867661 merged by jenkins-bot:

[integration/config@master] docker: Provide mediawiki-phan-php82

https://gerrit.wikimedia.org/r/867661

Change 867662 merged by jenkins-bot:

[integration/config@master] jjb: Add PHP 8.2-based Quibble phan jobs

https://gerrit.wikimedia.org/r/867662

Change 867663 merged by jenkins-bot:

[integration/config@master] Zuul: Add experimental PHP 8.2 jobs to quibble things

https://gerrit.wikimedia.org/r/867663

Mentioned in SAL (#wikimedia-releng) [2022-12-13T16:59:47Z] <James_F> Zuul: Add experimental PHP 8.2 jobs to quibble things for T314093

This is now done for everything outside of the MW world, which is T352085.